events.listen('recipes', function (e) {
  //Cobblestone Gen
  e.remove({ id: 'usrg:cobblegenerator' })
  e.shaped(item.of('usrg:cobblegenerator', 1), [
    'AAA',
    'BDC',
    'AAA'
  ], {
    A: 'aiotbotania:livingrock_pickaxe',
    B: 'minecraft:water_bucket',
    C: 'minecraft:lava_bucket',
    D: 'compressium:cobblestone_5'
  })
  //Clay Gen
  e.remove({ id: 'usrg:claygenerator' })
  e.shaped(item.of('usrg:claygenerator', 1), [
    'AAA',
    'BDC',
    'AAA'
  ], {
    A: 'undergarden:froststeel_shovel',
    B: 'minecraft:water_bucket',
    C: 'minecraft:lava_bucket',
    D: 'compressium:clay_5'
  })
  //Dirt Gen
  e.remove({ id: 'usrg:dirtgenerator' })
  e.shaped(item.of('usrg:dirtgenerator', 1), [
    'AAA',
    'BDC',
    'AAA'
  ], {
    A: 'pickletweaks:flint_shovel',
    B: 'minecraft:water_bucket',
    C: 'minecraft:lava_bucket',
    D: 'compressium:dirt_5'
  })
  //Endstone Gen
  e.remove({ id: 'usrg:endgenerator' })
  e.shaped(item.of('usrg:endgenerator', 1), [
    'AAA',
    'BDC',
    'AAA'
  ], {
    A: 'minecraft:diamond_pickaxe',
    B: 'minecraft:water_bucket',
    C: 'minecraft:lava_bucket',
    D: 'compressium:endstone_5'
  })
  //Mycelium Gen
  e.remove({ id: 'usrg:fungusgenerator' })
  e.shaped(item.of('usrg:fungusgenerator', 1), [
    'AAA',
    'BDC',
    'AAA'
  ], {
    A: 'minecraft:diamond_shovel',
    B: 'minecraft:water_bucket',
    C: 'minecraft:lava_bucket',
    D: 'minecraft:mycelium'
  })
  //Glowstone Gen
  e.remove({ id: 'usrg:glowstonegenerator' })
  //Grass Gen
  e.remove({ id: 'usrg:grassgenerator' })
  e.shaped(item.of('usrg:grassgenerator', 1), [
    'AAA',
    'BDC',
    'AAA'
  ], {
    A: 'minecraft:golden_shovel',
    B: 'minecraft:water_bucket',
    C: 'minecraft:lava_bucket',
    D: 'minecraft:grass_block'
  })
  //Gravel Gen
  e.remove({ id: 'usrg:gravelgenerator' })
  e.shaped(item.of('usrg:gravelgenerator', 1), [
    'AAA',
    'BDC',
    'AAA'
  ], {
    A: 'minecraft:golden_shovel',
    B: 'minecraft:water_bucket',
    C: 'minecraft:lava_bucket',
    D: 'compressium:gravel_5'
  })
  //Ice Gen
  e.remove({ id: 'usrg:icegenerator' })
  e.shaped(item.of('usrg:icegenerator', 1), [
    'AAA',
    'BDB',
    'AAA'
  ], {
    A: 'mekanismtools:osmium_pickaxe',
    B: 'minecraft:water_bucket',
    D: 'minecraft:blue_ice'
  })
  //Netherrack Gen
  e.remove({ id: 'usrg:nethergenerator' })
  e.shaped(item.of('usrg:nethergenerator', 1), [
    'AAA',
    'BDB',
    'AAA'
  ], {
    A: 'minecraft:golden_pickaxe',
    B: 'minecraft:lava_bucket',
    D: 'compressium:netherrack_5'
  })
  //Obsidian Gen
  e.remove({ id: 'usrg:obsidiangenerator' })
  e.shaped(item.of('usrg:obsidiangenerator', 1), [
    'AAA',
    'BDC',
    'AAA'
  ], {
    A: 'minecraft:netherite_pickaxe',
    B: 'minecraft:water_bucket',
    C: 'minecraft:lava_bucket',
    D: 'compressium:obsidian_5'
  })
  //Sand Gen
  e.remove({ id: 'usrg:sandgenerator' })
  e.shaped(item.of('usrg:sandgenerator', 1), [
    'AAA',
    'BDC',
    'AAA'
  ], {
    A: 'minecraft:iron_shovel',
    B: 'minecraft:water_bucket',
    C: 'minecraft:lava_bucket',
    D: 'compressium:sand_5'
  })
  //Snow Gen
  e.remove({ id: 'usrg:snowgenerator' })
  e.shaped(item.of('usrg:snowgenerator', 1), [
    'AAA',
    'BDB',
    'AAA'
  ], {
    A: 'aiotbotania:livingrock_shovel',
    B: 'minecraft:water_bucket',
    D: 'compressium:snow_5'
  })
  //Soulsand Gen
  e.remove({ id: 'usrg:soulgenerator' })
  e.shaped(item.of('usrg:soulgenerator', 1), [
    'AAA',
    'BDB',
    'AAA'
  ], {
    A: 'cyclic:netherbrick_shovel',
    B: 'minecraft:water_bucket',
    D: 'compressium:soulsand_5'
  })
})